#ifndef IotModuleSetup_h
#define IotModuleSetup_h
//====================================================================================================

#define IOTMODULE_LOG_LEVEL ESP_LOG_NONE  // ESP_LOG_NONE or ESP_LOG_VERBOSE to test with the serial

//====================================================================================================

#define IOTMODULE_PINOUT_TYPE 1   //  0 = ESP32-WROOM-32 / 1 (default) = ESP32-PICO-KIT V4 / 2 = ESP32-TTGO T7
#define IOTMODULE_INOUT_PINS 99   //  0 to 99  (99 = all pins) (Wroom 26 pins / PICO 28 pins)
#define IOTMODULE_ADC24_PINS 0    //  0 to 16  (1 to 16 to enable the Adc24 module)
#define IOTMODULE_GENERIC_PINS 0  //  0 to 20  (0 normally)

//====================================================================================================

#define IOTMODULE_WIFI_SSID "Name"          //  SSID name
#define IOTMODULE_WIFI_PASSWORD "Password"  //  SSID password

//#define IOTMODULE_WIFI_SSID     "SSID_Name_1  SSID_Name_2  SSID_Name_3"  //  SSID names     (see help page 59)
//#define IOTMODULE_WIFI_PASSWORD "Password_1   Password_2   Password_3 "  //  SSID passwords (see help page 59)

//====================================================================================================

#define IOTMODULE_WIFI_MODE 0     //  0 = Station mode  /  1 = SoftAP mode
#define IOTMODULE_WIFI_CHANNEL 1  //  WiFi channel 1 to 13 (only relevant in SoftAP mode)

// IF IOTMODULE_WIFI_MODE = 1 (SoftAP) and IOTMODULE_STATIC_IP is not defined (DHCP mode)
//   THEN the default ESP32 network is "192.168.4.1 192.168.4.1 255.255.255.0 0.0.0.0"

// IF IOTMODULE_WIFI_MODE = 1 (SoftAP mode) or IOTMODULE_WIFI_MODE = 0 (Station mode)
//   AND ALSO IOTMODULE_STATIC_IP is defined (Static IP mode) 
//   THEN the network is configured as per IOTMODULE_STATIC_IP

// Uncomment and adapt this line to use the Static IP mode                               
// #define IOTMODULE_STATIC_IP "192.168.11.1 192.168.11.254 255.255.255.0 8.8.8.8"
//                              (module IP)  (gateway IP)   (net mask)    (DNS IP)

// Uncomment and adapt this line to use a different port number (default is 49153)
// #define IOTMODULE_UDP_PORT_NUMBER 49153  //  UDP port number for IotHAL communication

//====================================================================================================

#define IOTMODULE_ENCODERS_TYPE 1               // 1 = Software encoders (x4) / 0 = Hard. encoders (x2)
#define IOTMODULE_FUOTA_ENABLE 1                // 1 = FUOTA enabled / 0 = FUOTA disabled 
#define IOTMODULE_ADC24_COMMUNICATION_SPEED 16  // 1 to 16 MHz (only relevant for the ADC24 board)
#define IOTMODULE_OUTPUT_WATCHDOG_ENABLE 1      // 1 = set all OUT to zero if communication is lost
#define IOTMODULE_WIFI_MODE_PIN -1              // -1 = disable / 0 or more = pin number for Station/SoftAP boot mode

//====================================================================================================

//  IOTMODULE_STEPPER_TIMING = 8 :  320...307200 Hz - 92160 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 7 :  160...153600 Hz - 46080 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 6 :   80....76800 Hz - 23040 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 5 :   40....38400 Hz - 11520 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 4 :   20....19200 Hz -  5760 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 3 :   10.....9600 Hz -  2880 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 2 :    5.....4800 Hz -  1440 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 1 :    3.....2400 Hz -   720 mm/Sec
//  IOTMODULE_STEPPER_TIMING = 0 :    2.....1200 Hz -   360 mm/Sec

#define IOTMODULE_STEPPER_TIMING 5

//====================================================================================================

#endif
